Bug 813393 - uhd 3.4.0 fails convert_test test on ARM
uhd 3.4.0 fails convert_test test on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: uhd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-04-17 12:05 EDT by Peter Robinson
Modified: 2012-06-15 20:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: uhd-3.4.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-02 19:55:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed fix (1.02 KB, patch)
2012-05-24 06:32 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Peter Robinson 2012-04-17 12:05:58 EDT
http://arm.koji.fedoraproject.org/taskinfo?taskID=734896

3.3.x built without issue but we're now seeing the following in 3.4

Test project /builddir/build/BUILD/uhd-3.4.0/host/build
      Start  1: addr_test
 1/15 Test  #1: addr_test ........................   Passed    0.58 sec
      Start  2: buffer_test
 2/15 Test  #2: buffer_test ......................   Passed    0.12 sec
      Start  3: byteswap_test
 3/15 Test  #3: byteswap_test ....................   Passed    0.10 sec
      Start  4: convert_test
 4/15 Test  #4: convert_test .....................***Failed    1.40 sec
      Start  5: dict_test
 5/15 Test  #5: dict_test ........................   Passed    0.11 sec
      Start  6: error_test
 6/15 Test  #6: error_test .......................   Passed    0.10 sec
      Start  7: gain_group_test
 7/15 Test  #7: gain_group_test ..................   Passed    0.10 sec
      Start  8: msg_test
 8/15 Test  #8: msg_test .........................   Passed    0.10 sec
      Start  9: property_test
 9/15 Test  #9: property_test ....................   Passed    0.10 sec
      Start 10: ranges_test
10/15 Test #10: ranges_test ......................   Passed    0.10 sec
      Start 11: sph_recv_test
11/15 Test #11: sph_recv_test ....................   Passed    0.17 sec
      Start 12: sph_send_test
12/15 Test #12: sph_send_test ....................   Passed    0.11 sec
      Start 13: subdev_spec_test
13/15 Test #13: subdev_spec_test .................   Passed    0.09 sec
      Start 14: time_spec_test
14/15 Test #14: time_spec_test ...................   Passed    0.70 sec
      Start 15: vrt_test
15/15 Test #15: vrt_test .........................   Passed    0.10 sec
93% tests passed, 1 tests failed out of 15
Total Test time (real) =   4.92 sec
The following tests FAILED:
	  4 - convert_test (Failed)
Errors while running CTest
make: *** [test] Error 8
RPM build errors:
Comment 1 Jaroslav Škarvada 2012-04-24 13:49:04 EDT
It seems that the 32 and 64 bit conversion doesn't work (currently no idea why). I am able to reproduce it and I will dig into it. If you need to build the package quickly I can temporally disable the failing test.
Comment 2 Jaroslav Škarvada 2012-05-24 06:32:18 EDT
Created attachment 586606 [details]
Proposed fix

I probably got it.
Comment 3 Fedora Update System 2012-05-24 10:49:36 EDT
uhd-3.4.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/uhd-3.4.2-1.fc17
Comment 4 Fedora Update System 2012-05-24 11:11:04 EDT
uhd-3.4.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/uhd-3.4.2-1.fc16
Comment 5 Fedora Update System 2012-05-24 19:58:29 EDT
Package uhd-3.4.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing uhd-3.4.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8357/uhd-3.4.2-1.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-02 19:55:00 EDT
uhd-3.4.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-06-06 18:38:35 EDT
uhd-3.4.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/uhd-3.4.2-2.fc17
Comment 8 Fedora Update System 2012-06-15 20:03:10 EDT
uhd-3.4.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.